#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdcb764ad, "memset" },
	{ 0x3f03de1c, "v4l2_event_queue" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x92997ed8, "_printk" },
	{ 0x999e8297, "vfree" },
	{ 0xb3579a0e, "device_remove_file" },
	{ 0x37a0cba, "kfree" },
	{ 0x3b524869, "video_unregister_device" },
	{ 0xdd0a8415, "v4l2_device_unregister" },
	{ 0x5e80290b, "v4l2_ctrl_handler_free" },
	{ 0x1ef92d10, "idr_find" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x4829a47e, "memcpy" },
	{ 0xcc501597, "v4l2_fill_pixfmt" },
	{ 0x6e9acc41, "v4l2_fill_pixfmt_mp" },
	{ 0x2df50b0, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x51e3dbe2, "_raw_spin_lock_bh" },
	{ 0xb3ac7559, "_raw_spin_unlock_bh" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xb509d3a6, "v4l2_event_subscribe" },
	{ 0xcc1fd835, "v4l2_ctrl_subscribe_event" },
	{ 0xde7020e6, "idr_for_each" },
	{ 0xe5c10dd9, "idr_destroy" },
	{ 0xe480b3d3, "misc_deregister" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xb3aa5cf, "kmalloc_caches" },
	{ 0xe026f21d, "video_device_release" },
	{ 0xc1ade2fb, "kmalloc_trace" },
	{ 0x117cd626, "idr_alloc" },
	{ 0xed82a476, "v4l2_device_register" },
	{ 0x8ce346e4, "video_device_alloc" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x6ff9965d, "v4l2_ctrl_handler_init_class" },
	{ 0x9c300abc, "idr_remove" },
	{ 0xe43de97b, "v4l2_ctrl_new_custom" },
	{ 0x68615c99, "v4l2_ctrl_handler_setup" },
	{ 0x2172e91e, "__init_waitqueue_head" },
	{ 0x4ee92dd8, "__video_register_device" },
	{ 0x9a7e4f0, "device_create_file" },
	{ 0xdb2f88cf, "_dev_err" },
	{ 0x1473b08a, "misc_register" },
	{ 0xe651d548, "mutex_lock_killable" },
	{ 0x31ed73f, "mutex_unlock" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa5012ba4, "_raw_spin_lock" },
	{ 0xebf77b80, "__wake_up" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x33ae4dd, "video_devdata" },
	{ 0x800473f, "__cond_resched" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x1000e51, "schedule" },
	{ 0xaef82501, "prepare_to_wait_event" },
	{ 0x2d5d474f, "finish_wait" },
	{ 0x546447b, "v4l2_fh_del" },
	{ 0x669226dd, "v4l2_fh_exit" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x35ff98bf, "v4l2_format_info" },
	{ 0x6afed0fe, "v4l2_fh_init" },
	{ 0xab842585, "v4l2_fh_add" },
	{ 0x2d4c647a, "vmalloc_to_page" },
	{ 0x18960f1b, "vm_insert_page" },
	{ 0x7126fcd1, "v4l2_event_pending" },
	{ 0x17cfe349, "___ratelimit" },
	{ 0x5c9ff7b6, "_dev_warn" },
	{ 0x6013c5c8, "video_ioctl2" },
	{ 0x3570af0d, "v4l2_event_unsubscribe" },
	{ 0x60149cfb, "noop_llseek" },
	{ 0xcdb54127, "nonseekable_open" },
	{ 0x7a974022, "param_ops_bool" },
	{ 0x9d6b249, "param_ops_charp" },
	{ 0xf2efd19a, "param_ops_int" },
	{ 0x7425c118, "param_array_ops" },
	{ 0x23202f42, "module_layout" },
};

MODULE_INFO(depends, "videodev");


MODULE_INFO(srcversion, "4AA3863FA83D2255FF90AAC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
